Subject: bug#17623: 24.4.50; incorrect example for `apply-partially' in (elisp) `Calling Functions'

From: Michael Heerdegen <[email-masked]>
Date: Fri, 27 Jun 2014 20:41:29 +0200

Drew Adams <[email-masked]> writes:

> The text states incorrectly that the example defines an equivalent of
> built-in function `1+', but it does not.  The function defined in the
> example is equivalent to this one, which is not equivalent to `1+':
> [...]
> As it stands, this example is liable to confuse more than help.

I think you're right.  Drew, how would you reformulate the paragraph so
that it's not confusing?

Or should we try to find a different example?  Maybe something like

  (defalias 'string-empty-p (apply-partially #'string= "")) ?

Michael.